/* 拡張セット */
import java.util.ArrayList;


public class Expansion {
	public static java.util.List<Expansion> allInstances = new ArrayList<Expansion>();
	public CardPage page;
	public java.util.List<Card> cards;
	private boolean promo;

	/* シャッフル時に使う一時変数 */
	public RandomList<Card> shuffleList;
	public int minVal, maxVal;

	/* コンストラクタ */
	public Expansion(CardPage page, int numberOfCards){
		allInstances.add(this);
		this.page = page;
		this.cards = new ArrayList<Card>(numberOfCards);
		this.promo = (numberOfCards <= 1);
	}

	public void add(Card card){
		cards.add(card);
	}

	public boolean isSelected(){
		if (promo){
			return page.isSelected() && cards.get(0).selected;
		} else {
			return page.isSelected();
		}
	}

	public boolean getAlchemyConstraint(){
		if (page.alchemy == null) return false;
		return isSelected() && page.alchemy.isSelected();
	}
}

